Start a new topic

Uncaught module com.wikitude.phonegap

Uncaught module com.wikitude.phonegap


Hi Roger,
Currently we don't officially support Telerik and don't have any additional documentation for that.
If you get the same error message, it might be that our plugin is not added correctly by the Telerik platform. How plugin management works on Telerik I don't know so I can't do anything but forwarding you to the Telerik support team.

Best regards,

Andreas

Hello,

I downloaded and installed the Wikitude plugin from Telerik's verified plugin market place.

I am using the latest version of cordova with your plugin on telerik's online development platform. 

I am getting the same error identified in this thread, and when I run it on my physical device, the app freezes at the line:

Can you assist with getting the app/plugin up and running.

Hi Tom,

I downgraded Cordova to the version you are using and setup a new project following our guide step by step. I added the same code you did an ran it on a physical device, I don't get any errors.

Emulators are not supported by the Wikitude SDK, please use a physical device.

Thank you and best regards,
Simon

 

hi simon

i installed last version off all requirement . and install step by step  as descriped in your documentation: http://www.wikitude.com/developer/documentation/phonegap  .then i imported project to eclipse.

i added this code to js file  :

onDeviceReady: function() {

        app.receivedEvent('deviceready');

        

         alert('test');

        // create a Wikitude Plugin instance

        app.wikitudePlugin = cordova.require("com.wikitude.phonegap.WikitudePlugin.WikitudePlugin");

        alert('test2');

    },

 

then on comman :

cordova build android

 

but i have this error on logCat :

file:///android_asset/www/cordova.js: Line 59 : Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found

Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found at file:///android_asset/www/cordova.js:59

 

on emulator first alert showded but   alert('test2') not executed ? !!!  and error on logCat !!!!!!!

please help me

 

Hi Tom,

I've never used plugman. Could you please try to setup the app without it as descriped in our documentation: http://www.wikitude.com/developer/documentation/phonegap

To add the older version of our plugin for cordova 4 don't use the plugin add command from the documentation but this:
cordova plugin add https://github.com/Wikitude/wikitude-cordova-plugin.git#v4.1.0-3.0.1

Thank you and best regards,
Simon

hi simon

thank you

i downloaded that version from github then installed it with plugman localy

-------------------------

this is my creating wikitude project path:

cordova version = 4.3.0

cordova create AugmentedRealityProject com.yourid.arsample ARProject

cd AugmentedRealityProject

cordova platform add android

cordova build android

E:phonegap\proje-phonegap\wikitude-cordova-plugin-master\www\ WikitudePlugin.js

cd platforms\android

plugman install  --platform android  --project . --plugin    E:\phonegap\proje-phonegap\wikitude-cordova-plugin-4.1.0-3.0.1

cordova build

----------------------------

i have this error : 

file:///android_asset/www/cordova.js: Line 59 : Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found

Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found at file:///android_asset/www/cordova.js:59

 

i am installed cordova 4.3.0 and wikitude plugin 4.1.0-3.0.x.

i have this error : 

file:///android_asset/www/cordova.js: Line 59 : Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found

Uncaught module com.wikitude.phonegap.WikitudePlugin.WikitudePlugin not found at file:///android_asset/www/cordova.js:59

how can fix this problem?

and this is my code 

        alert('test');

        // create a Wikitude Plugin instance

        app.wikitudePlugin = cordova.require("com.wikitude.phonegap.WikitudePlugin.WikitudePlugin");

        alert('test2');

 I get first alert but not the second. !!

 

please help me

 

Hi Tom,

how did you add the Wikitude module to your app? I just would like to make sure you are using the right module version. To use an older version you need to specify it in the link like this: https://github.com/Wikitude/wikitude-cordova-plugin#v4.1.0-3.0.1

So the whole command would look like this:
cordova plugin add https://github.com/Wikitude/wikitude-cordova-plugin.git#v4.1.0-3.0.1

Best regards,
Simon
Login or Signup to post a comment